opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CvMLData Class Reference

`#include <ml.hpp>`

## Public Member Functions
void | chahge_var_idx (int vi, bool state)
void | change_var_type (int var_idx, int type)
| CvMLData ()
char | get_delimiter ()
char | get_miss_ch ()
const CvMat * | get_missing ()
int | get_response_idx ()
const CvMat * | get_responses ()
const CvMat * | get_test_sample_idx ()
const CvMat * | get_train_sample_idx ()
const CvMat * | get_values ()
const CvMat * | get_var_idx ()
int | get_var_type (int var_idx)
const CvMat * | get_var_types ()
void | mix_train_and_test_idx ()
int | read_csv (const char *filename)
void | set_delimiter (char ch)
void | set_miss_ch (char ch)
void | set_response_idx (int idx)
void | set_train_test_split (const CvTrainTestSplit *spl)
void | set_var_types (const char *str)
virtual | ~CvMLData ()

## Protected Member Functions
virtual void | clear ()
void | free_train_test_idx ()
void | str_to_flt_elem (const char *token, float &flt_elem, int &type)

## Protected Attributes
std::map< std::string, int > * | class_map
char | delimiter
char | miss_ch
CvMat * | missing
bool | mix
int | response_idx
CvMat * | response_out
cv::RNG * | rng
int * | sample_idx
CvMat * | test_sample_idx
int | total_class_count
int | train_sample_count
CvMat * | train_sample_idx
CvMat * | values
CvMat * | var_idx_mask
CvMat * | var_idx_out
CvMat * | var_types
CvMat * | var_types_out

## Constructor & Destructor Documentation

CvMLData::CvMLData | ( |  | ) |

virtual CvMLData::~CvMLData | ( |  | ) |
| virtual

## Member Function Documentation

void CvMLData::chahge_var_idx | ( | int | vi,
|  | bool | state
| ) |  |

void CvMLData::change_var_type | ( | int | var_idx,
|  | int | type
| ) |  |

virtual void CvMLData::clear | ( |  | ) |
| protected virtual

void CvMLData::free_train_test_idx | ( |  | ) |
| protected

char CvMLData::get_delimiter | ( |  | ) |
| inline

char CvMLData::get_miss_ch | ( |  | ) |
| inline

const CvMat* CvMLData::get_missing | ( |  | ) |
| inline

int CvMLData::get_response_idx | ( |  | ) |
| inline

const CvMat* CvMLData::get_responses | ( |  | ) |

const CvMat* CvMLData::get_test_sample_idx | ( |  | ) |
| inline

const CvMat* CvMLData::get_train_sample_idx | ( |  | ) |
| inline

const CvMat* CvMLData::get_values | ( |  | ) |
| inline

const CvMat* CvMLData::get_var_idx | ( |  | ) |

int CvMLData::get_var_type | ( | int | var_idx | ) |
| inline

const CvMat* CvMLData::get_var_types | ( |  | ) |

void CvMLData::mix_train_and_test_idx | ( |  | ) |

int CvMLData::read_csv | ( | const char * | filename | ) |

void CvMLData::set_delimiter | ( | char | ch | ) |

void CvMLData::set_miss_ch | ( | char | ch | ) |

void CvMLData::set_response_idx | ( | int | idx | ) |

void CvMLData::set_train_test_split | ( | const CvTrainTestSplit * | spl | ) |

void CvMLData::set_var_types | ( | const char * | str | ) |

void CvMLData::str_to_flt_elem | ( | const char * | token,
|  | float & | flt_elem,
|  | int & | type
| ) |  |
| protected

## Member Data Documentation

std::map<std::string, int>* CvMLData::class_map
| protected

char CvMLData::delimiter
| protected

char CvMLData::miss_ch
| protected

CvMat* CvMLData::missing
| protected

bool CvMLData::mix
| protected

int CvMLData::response_idx
| protected

CvMat* CvMLData::response_out
| protected

cv::RNG* CvMLData::rng
| protected

int* CvMLData::sample_idx
| protected

CvMat* CvMLData::test_sample_idx
| protected

int CvMLData::total_class_count
| protected

int CvMLData::train_sample_count
| protected

CvMat* CvMLData::train_sample_idx
| protected

CvMat* CvMLData::values
| protected

CvMat* CvMLData::var_idx_mask
| protected

CvMat* CvMLData::var_idx_out
| protected

CvMat* CvMLData::var_types
| protected

CvMat* CvMLData::var_types_out
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp